Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class AbstractComponentMonitorTestCase

    java.lang.Object
      org.picocontainer.defaults.AbstractComponentMonitorTestCase

    public class AbstractComponentMonitorTestCase

extends Object

Author:
  Mauro Talevi

Nested Class Summary
`static class` | `AbstractComponentMonitorTestCase.NeedsACoupleOfThings`
`static interface` | `AbstractComponentMonitorTestCase.TestMonitorThatSupportsStrategy`

Constructor Summary
`AbstractComponentMonitorTestCase()`

Method Summary
`void` | `testDelegatingMonitorCanChangeMonitorInDelegateThatDoesSupportMonitorStrategy()`
`void` | `testDelegatingMonitorChangesDelegateThatDoesNotSupportMonitorStrategy()`
`void` | `testDelegatingMonitorReturnsDelegateThatDoesNotSupportMonitorStrategy()`
`void` | `testDelegatingMonitorThrowsExpectionWhenChangingToNullMonitor()`
`void` | `testDelegatingMonitorThrowsExpectionWhenConstructionWithNullDelegate()`
`void` | `testMonitoringHappensBeforeAndAfterInstantiation()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractComponentMonitorTestCase

    public AbstractComponentMonitorTestCase()

Method Detail

### testDelegatingMonitorThrowsExpectionWhenConstructionWithNullDelegate

    public void testDelegatingMonitorThrowsExpectionWhenConstructionWithNullDelegate()

### testDelegatingMonitorThrowsExpectionWhenChangingToNullMonitor

    public void testDelegatingMonitorThrowsExpectionWhenChangingToNullMonitor()

### testDelegatingMonitorCanChangeMonitorInDelegateThatDoesSupportMonitorStrategy

    public void testDelegatingMonitorCanChangeMonitorInDelegateThatDoesSupportMonitorStrategy()

### testDelegatingMonitorChangesDelegateThatDoesNotSupportMonitorStrategy

    public void testDelegatingMonitorChangesDelegateThatDoesNotSupportMonitorStrategy()

### testDelegatingMonitorReturnsDelegateThatDoesNotSupportMonitorStrategy

    public void testDelegatingMonitorReturnsDelegateThatDoesNotSupportMonitorStrategy()

### testMonitoringHappensBeforeAndAfterInstantiation

    public void testMonitoringHappensBeforeAndAfterInstantiation()
                                                          throws NoSuchMethodException

  Throws:
    `NoSuchMethodException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.